com.independentsoft.exchange

## Class ItemClass

- java.lang.Object
- - com.independentsoft.exchange.ItemClass

-     public class ItemClass
      extends java.lang.Object

  Represents the message class of an item.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ACCEPT_MEETING_RESPONSE`
    `static java.lang.String` | `ACCEPT_MEETING_RESPONSE_NON_DELIVERY_REPORT`
    `static java.lang.String` | `APPOINTMENT`
    `static java.lang.String` | `APPOINTMENT_OCCURRENCE_EXCEPTION`
    `static java.lang.String` | `CONFLICT_RESOLUTION_MESSAGE`
    `static java.lang.String` | `CONTACT`
    `static java.lang.String` | `DECLINE_MEETING_RESPONSE`
    `static java.lang.String` | `DECLINE_MEETING_RESPONSE_NON_DELIVERY_REPORT`
    `static java.lang.String` | `DELIVERY_REPORT`
    `static java.lang.String` | `DISTRIBUTION_LIST`
    `static java.lang.String` | `DOCUMENT`
    `static java.lang.String` | `JOURNAL`
    `static java.lang.String` | `MEETING_CANCELLATION`
    `static java.lang.String` | `MEETING_CANCELLATION_NON_DELIVERY_REPORT`
    `static java.lang.String` | `MEETING_REQUEST`
    `static java.lang.String` | `MEETING_REQUEST_DELIVERY_REPORT`
    `static java.lang.String` | `MEETING_REQUEST_NON_DELIVERY_REPORT`
    `static java.lang.String` | `MEETING_REQUEST_NON_READ_RECEIPT`
    `static java.lang.String` | `MEETING_REQUEST_READ_RECEIPT`
    `static java.lang.String` | `MESSAGE`
    `static java.lang.String` | `MESSAGE_RECALL`
    `static java.lang.String` | `MESSAGE_RECALL_REPORT`
    `static java.lang.String` | `MESSAGE_RECALL_REPORT_FAILURE`
    `static java.lang.String` | `MESSAGE_RECALL_REPORT_FAILURE_NON_DELIVERY_REPORT`
    `static java.lang.String` | `MESSAGE_RECALL_REPORT_SUCCESS`
    `static java.lang.String` | `NON_DELIVERY_REPORT`
    `static java.lang.String` | `NON_READ_RECEIPT`
    `static java.lang.String` | `NOTE`
    `static java.lang.String` | `NOTIFICATION`
    `static java.lang.String` | `OUT_OF_OFFICE_TEMPLATE`
    `static java.lang.String` | `P772_MESSAGE`
    `static java.lang.String` | `POST`
    `static java.lang.String` | `READ_RECEIPT`
    `static java.lang.String` | `REPORT`
    `static java.lang.String` | `REPORT_MESSAGE`
    `static java.lang.String` | `RESEND`
    `static java.lang.String` | `RFC822_MIME_MESSAGE`
    `static java.lang.String` | `RULE_REPLY_TEMPLATE`
    `static java.lang.String` | `SECURE_MESSAGE`
    `static java.lang.String` | `SECURE_SERVICE_REPLY`
    `static java.lang.String` | `SIGNED_MESSAGE`
    `static java.lang.String` | `SMIME_MESSAGE`
    `static java.lang.String` | `SMIME_MULTIPART_SIGNED_MESSAGE`
    `static java.lang.String` | `STORAGE_QUOTA_WARNING`
    `static java.lang.String` | `TASK`
    `static java.lang.String` | `TASK_REQUEST`
    `static java.lang.String` | `TASK_REQUEST_ACCEPT`
    `static java.lang.String` | `TASK_REQUEST_ACCEPT_NON_DELIVERY_REPORT`
    `static java.lang.String` | `TASK_REQUEST_DECLINE`
    `static java.lang.String` | `TASK_REQUEST_DECLINE_NON_DELIVERY_REPORT`
    `static java.lang.String` | `TASK_REQUEST_NON_DELIVERY_REPORT`
    `static java.lang.String` | `TASK_REQUEST_UPDATE`
    `static java.lang.String` | `TASK_REQUEST_UPDATE_NON_DELIVERY_REPORT`
    `static java.lang.String` | `TENTATIVE_MEETING_RESPONSE`
    `static java.lang.String` | `TENTATIVE_MEETING_RESPONSE_NON_DELIVERY_REPORT`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JOURNAL

          public static final java.lang.String JOURNAL

      See Also:
        Constant Field Values

    - #### APPOINTMENT

          public static final java.lang.String APPOINTMENT

      See Also:
        Constant Field Values

    - #### CONTACT

          public static final java.lang.String CONTACT

      See Also:
        Constant Field Values

    - #### DISTRIBUTION_LIST

          public static final java.lang.String DISTRIBUTION_LIST

      See Also:
        Constant Field Values

    - #### DOCUMENT

          public static final java.lang.String DOCUMENT

      See Also:
        Constant Field Values

    - #### APPOINTMENT_OCCURRENCE_EXCEPTION

          public static final java.lang.String APPOINTMENT_OCCURRENCE_EXCEPTION

      See Also:
        Constant Field Values

    - #### MESSAGE

          public static final java.lang.String MESSAGE

      See Also:
        Constant Field Values

    - #### NOTIFICATION

          public static final java.lang.String NOTIFICATION

      See Also:
        Constant Field Values

    - #### OUT_OF_OFFICE_TEMPLATE

          public static final java.lang.String OUT_OF_OFFICE_TEMPLATE

      See Also:
        Constant Field Values

    - #### POST

          public static final java.lang.String POST

      See Also:
        Constant Field Values

    - #### NOTE

          public static final java.lang.String NOTE

      See Also:
        Constant Field Values

    - #### MESSAGE_RECALL

          public static final java.lang.String MESSAGE_RECALL

      See Also:
        Constant Field Values

    - #### MESSAGE_RECALL_REPORT

          public static final java.lang.String MESSAGE_RECALL_REPORT

      See Also:
        Constant Field Values

    - #### RULE_REPLY_TEMPLATE

          public static final java.lang.String RULE_REPLY_TEMPLATE

      See Also:
        Constant Field Values

    - #### REPORT

          public static final java.lang.String REPORT

      See Also:
        Constant Field Values

    - #### RESEND

          public static final java.lang.String RESEND

      See Also:
        Constant Field Values

    - #### MEETING_CANCELLATION

          public static final java.lang.String MEETING_CANCELLATION

      See Also:
        Constant Field Values

    - #### MEETING_REQUEST

          public static final java.lang.String MEETING_REQUEST

      See Also:
        Constant Field Values

    - #### DECLINE_MEETING_RESPONSE

          public static final java.lang.String DECLINE_MEETING_RESPONSE

      See Also:
        Constant Field Values

    - #### ACCEPT_MEETING_RESPONSE

          public static final java.lang.String ACCEPT_MEETING_RESPONSE

      See Also:
        Constant Field Values

    - #### TENTATIVE_MEETING_RESPONSE

          public static final java.lang.String TENTATIVE_MEETING_RESPONSE

      See Also:
        Constant Field Values

    - #### TASK

          public static final java.lang.String TASK

      See Also:
        Constant Field Values

    - #### TASK_REQUEST_ACCEPT

          public static final java.lang.String TASK_REQUEST_ACCEPT

      See Also:
        Constant Field Values

    - #### TASK_REQUEST_DECLINE

          public static final java.lang.String TASK_REQUEST_DECLINE

      See Also:
        Constant Field Values

    - #### TASK_REQUEST

          public static final java.lang.String TASK_REQUEST

      See Also:
        Constant Field Values

    - #### TASK_REQUEST_UPDATE

          public static final java.lang.String TASK_REQUEST_UPDATE

      See Also:
        Constant Field Values

    - #### DELIVERY_REPORT

          public static final java.lang.String DELIVERY_REPORT

      See Also:
        Constant Field Values

    - #### NON_DELIVERY_REPORT

          public static final java.lang.String NON_DELIVERY_REPORT

      See Also:
        Constant Field Values

    - #### READ_RECEIPT

          public static final java.lang.String READ_RECEIPT

      See Also:
        Constant Field Values

    - #### NON_READ_RECEIPT

          public static final java.lang.String NON_READ_RECEIPT

      See Also:
        Constant Field Values

    - #### CONFLICT_RESOLUTION_MESSAGE

          public static final java.lang.String CONFLICT_RESOLUTION_MESSAGE

      See Also:
        Constant Field Values

    - #### P772_MESSAGE

          public static final java.lang.String P772_MESSAGE

      See Also:
        Constant Field Values

    - #### RFC822_MIME_MESSAGE

          public static final java.lang.String RFC822_MIME_MESSAGE

      See Also:
        Constant Field Values

    - #### SECURE_MESSAGE

          public static final java.lang.String SECURE_MESSAGE

      See Also:
        Constant Field Values

    - #### SECURE_SERVICE_REPLY

          public static final java.lang.String SECURE_SERVICE_REPLY

      See Also:
        Constant Field Values

    - #### SIGNED_MESSAGE

          public static final java.lang.String SIGNED_MESSAGE

      See Also:
        Constant Field Values

    - #### SMIME_MESSAGE

          public static final java.lang.String SMIME_MESSAGE

      See Also:
        Constant Field Values

    - #### SMIME_MULTIPART_SIGNED_MESSAGE

          public static final java.lang.String SMIME_MULTIPART_SIGNED_MESSAGE

      See Also:
        Constant Field Values

    - #### STORAGE_QUOTA_WARNING

          public static final java.lang.String STORAGE_QUOTA_WARNING

      See Also:
        Constant Field Values

    - #### MESSAGE_RECALL_REPORT_FAILURE

          public static final java.lang.String MESSAGE_RECALL_REPORT_FAILURE

      See Also:
        Constant Field Values

    - #### MESSAGE_RECALL_REPORT_SUCCESS

          public static final java.lang.String MESSAGE_RECALL_REPORT_SUCCESS

      See Also:
        Constant Field Values

    - #### REPORT_MESSAGE

          public static final java.lang.String REPORT_MESSAGE

      See Also:
        Constant Field Values

    - #### MESSAGE_RECALL_REPORT_FAILURE_NON_DELIVERY_REPORT

          public static final java.lang.String MESSAGE_RECALL_REPORT_FAILURE_NON_DELIVERY_REPORT

      See Also:
        Constant Field Values

    - #### MEETING_CANCELLATION_NON_DELIVERY_REPORT

          public static final java.lang.String MEETING_CANCELLATION_NON_DELIVERY_REPORT

      See Also:
        Constant Field Values

    - #### MEETING_REQUEST_DELIVERY_REPORT

          public static final java.lang.String MEETING_REQUEST_DELIVERY_REPORT

      See Also:
        Constant Field Values

    - #### MEETING_REQUEST_NON_READ_RECEIPT

          public static final java.lang.String MEETING_REQUEST_NON_READ_RECEIPT

      See Also:
        Constant Field Values

    - #### MEETING_REQUEST_READ_RECEIPT

          public static final java.lang.String MEETING_REQUEST_READ_RECEIPT

      See Also:
        Constant Field Values

    - #### MEETING_REQUEST_NON_DELIVERY_REPORT

          public static final java.lang.String MEETING_REQUEST_NON_DELIVERY_REPORT

      See Also:
        Constant Field Values

    - #### DECLINE_MEETING_RESPONSE_NON_DELIVERY_REPORT

          public static final java.lang.String DECLINE_MEETING_RESPONSE_NON_DELIVERY_REPORT

      See Also:
        Constant Field Values

    - #### ACCEPT_MEETING_RESPONSE_NON_DELIVERY_REPORT

          public static final java.lang.String ACCEPT_MEETING_RESPONSE_NON_DELIVERY_REPORT

      See Also:
        Constant Field Values

    - #### TENTATIVE_MEETING_RESPONSE_NON_DELIVERY_REPORT

          public static final java.lang.String TENTATIVE_MEETING_RESPONSE_NON_DELIVERY_REPORT

      See Also:
        Constant Field Values

    - #### TASK_REQUEST_ACCEPT_NON_DELIVERY_REPORT

          public static final java.lang.String TASK_REQUEST_ACCEPT_NON_DELIVERY_REPORT

      See Also:
        Constant Field Values

    - #### TASK_REQUEST_DECLINE_NON_DELIVERY_REPORT

          public static final java.lang.String TASK_REQUEST_DECLINE_NON_DELIVERY_REPORT

      See Also:
        Constant Field Values

    - #### TASK_REQUEST_NON_DELIVERY_REPORT

          public static final java.lang.String TASK_REQUEST_NON_DELIVERY_REPORT

      See Also:
        Constant Field Values

    - #### TASK_REQUEST_UPDATE_NON_DELIVERY_REPORT

          public static final java.lang.String TASK_REQUEST_UPDATE_NON_DELIVERY_REPORT

      See Also:
        Constant Field Values